%define module_name App-PerinciUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Bash.pm) perl(Complete/Module.pm) perl(Complete/Riap.pm) perl(Complete/Util.pm) perl(DBI.pm) perl(Data/Dump.pm) perl(Data/Dump/Color.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(File/Write/Rotate.pm) perl(Gepok.pm) perl(Getopt/Long.pm) perl(Getopt/Long/Complete.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Log/ger.pm) perl(Log/ger/Level/FromEnv.pm) perl(Log/ger/Output.pm) perl(Log/ger/Output/Screen.pm) perl(Module/List.pm) perl(Module/Load.pm) perl(Perinci/Access.pm) perl(Perinci/Access/Base/Patch/PeriAHS.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/Gen/ForModule.pm) perl(Perinci/Result/Format/Lite.pm) perl(Perinci/Sub/GetArgs/Argv.pm) perl(Perinci/Sub/Normalize.pm) perl(Perinci/Sub/Wrapper.pm)
BuildRequires: perl(Plack/Builder.pm) perl(Plack/Middleware/Auth/Basic.pm) perl(Plack/Runner.pm) perl(Pod/Coverage/TrustPod.pm) perl(Starman.pm) perl(String/LineNumber.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/XS.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.112
Release: alt1
Summary: Some utilities related to Perinci
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-PerinciUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes a few utility scripts related to Perinci::* modules
family.

=over

=item * the normalize-rinci-function-metadata manpage

=item * the peri-access manpage

=item * the peri-htserve manpage

=item * the peri-run manpage

=item * the wrap-with-perinci-sub-wrapper manpage

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
* Mon Jan 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.112-alt1
- regenerated from template by package builder

* Tue Dec 19 2017 Igor Vlasenko <viy@altlinux.ru> 0.111-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.110-alt1
- regenerated from template by package builder

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

